#include <bits/stdc++.h>

using namespace std;

int main() {
    long long int n, m;
    cin >> n >> m;
    long long int all_tiles = n * m;
    long long int delta1 = ((n - 2) / 2 + (n - 2) % 2) * ((m - 2) / 2) + ((n - 2) / 2) * ((m - 2) / 2 + (m - 2) % 2);
    long long int delta2 = ((n - 2) / 2 + (n - 2) % 2) * ((m - 2) / 2 + (m - 2) % 2) + ((n - 2) / 2) * ((m - 2) / 2);
    cout << all_tiles - max(delta1, delta2);
    return 0;
}